#!/bin/sh

echo "RGW update."

grep -f - <<EOF /mntetc/VERSION
^RGW Ver.2.2.0$
^RGW Ver.2.2.1RC$
^RGW Ver.2.2.1b$
EOF
case $? in
0)
	echo -n "RGW version is OK!!! "; cat /mntetc/VERSION
	;;
1)
	echo -n "RGW version Unmatch. "; cat /mntetc/VERSION
    	exit 1
       	;;
*)
	echo "unknown error"
    	exit 2
esac

/usr/rgw/sbin/wiupdate wi0|grep "^Wireless firmware Ver. 1.0.5(1.3.4)$" || 
/usr/rgw/sbin/wiupdate wi0|grep "^Wireless firmware Ver. 1.0.5(1.1.2)$"
case $? in
0)
	echo "PLEASE CONTACT YOUR DEALER, OR ROOT INC. support@root-hq.com!!!"
	/usr/rgw/sbin/wiupdate wi0
	echo "ABORT UPDATE...." 
	exit 3
	;;
1)
	echo -n "wireless firmware version is OK. "; /usr/rgw/sbin/wiupdate wi0
	;;
*)
	echo "unknown error to fetch wireless firmware version"
	exit 4
esac 


/sbin/mount -u /
/sbin/mount -u /mntetc

tar -C / -zxvpf /var/tmp/update.tgz
sync;sync
/sbin/mount -u -r /mntetc
/sbin/mount -u -r /
/usr/rgw/sbin/flashdump -i -a&&/usr/rgw/sbin/flashdump -w /var/tmp/netbsd.bin.gz&&echo "rebooting..."&&reboot
